#
# spec file for package perl-Test-UseAllModules
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Test-UseAllModules
Version:        0.17
Release:        lp151.2.1
%define cpan_name Test-UseAllModules
Summary:        do use_ok() for all the MANIFESTed modules
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Test-UseAllModules/
Source:         http://www.cpan.org/authors/id/I/IS/ISHIGAKI/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
I'm sick of writing 00_load.t (or something like that) that'll do use_ok()
for every module I write. I'm sicker of updating 00_load.t when I add
another file to the distro. This module reads MANIFEST to find modules to
be tested and does use_ok() for each of them. Now all you have to do is
update MANIFEST. You don't have to modify the test any more (hopefully).

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-Test-UseAllModules/Changes
  0.17 2014/11/13
  - oops, forgot to update MANIFEST...
  0.16 2014/11/13
  - dropped cpanfile support, as it forced users of this module
    to update too many modules, especially while testing backward
    compatibility with older perls.
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.15
  - dropped (experimental) Test::More 1.5/2.0 support
* Tue Mar 18 2014 coolo@suse.com
- updated to 0.14
  - Test::More version 2 support
* Thu Feb 17 2011 pascal.bleser@opensuse.org
- initial version (0.12)
